%bcond_with falcon 0
%define rel   1

Name:kross-interpreters
Summary: KDE bindings to non-C++ languages
Version: 4.8.2
Release: %mkrel %{rel}
Epoch: 1
Group: Graphical desktop/KDE
License: LGPLv2
URL: https://projects.kde.org/projects/kde/kdebindings/kross-interpreters
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz


BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: java-devel
BuildRequires: ruby-devel
BuildRequires: python-devel
BuildRequires: qscintilla-qt4-devel
%if %with falcon
BuildRequires: falcon-devel
%endif


%description
Language interpreters to enable in-process scripting with Kross.

#----------------------------------------------------------------

%package java
Summary: Java kross interpreter

%description java
Java kross interpreter

%files java
%_kde_libdir/kde4/kross/kross.jar
%_kde_libdir/kde4/krossjava.so

#---------------------------------------------------------------

%package python
Summary: Python kross-interpreter
Conflicts: python-kde4 < 1:4.7.0
%description python
Python kross interpreter

%files python
%_kde_libdir/kde4/krosspython.so

#--------------------------------------------------------------

%package ruby
Summary: Ruby kross interpreter
Conflicts: ruby-kde4 < 1:4.7.0
%description ruby
Ruby kross interpreter

%files ruby
%_kde_libdir/kde4/krossruby.so

#------------------------------------------------------------

%if %with falcon

%package -n falcon-kde4
Summary: Falcon KDE 4 bindings
Group: Development/KDE and Qt
Requires: falcon

%description -n falcon-kde4
Falcon KDE 4 bindings.

%files -n falcon-kde4
%_kde_libdir/kde4/krossfalcon.so

%endif

#------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228480
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 1:4.8.1-1.mga2
+ Revision: 221495
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198179
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190957
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186372
- Update tarball to KDE 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182142
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176474
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-0.mga2
+ Revision: 161370
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151970
- Update tarball to KDE SC 4.7.2
- Update license tag

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140660
- Update tarball to KDE SC 4.7.1
- Remove %%clean section
- imported package kross-interpreters

